#include <stdio.h>

int main() {
    long int n,m,br=0;
    scanf("%d%d",&n,&m);
    for(long int i=0;i<n;i++)
        for(long int j=0;j<m;j++)
            if(abs(i-j)%2==0 && i!=0 && j!=0 && i!=n-1 && j!=m-1)
                br++;
    printf("%d",n*m-br);
    return 0;
}